Bug 87901 - maintainer update of misc/qbrew
Summary: maintainer update of misc/qbrew
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-24 06:30 UTC by David Johnson
Modified: 2005-10-25 10:01 UTC (History)
0 users

See Also:


Attachments
qbrew.diff (413 bytes, patch)
2005-10-24 06:30 UTC, David Johnson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Johnson 2005-10-24 06:30:19 UTC
Honor X11BASE, per request of Kris Kennaway.
Comment 1 Renato Botelho freebsd_committer 2005-10-24 10:08:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Grabbed.
Comment 2 Renato Botelho freebsd_committer 2005-10-24 13:20:03 UTC
Dear maintainer,

Since I'm here, I propose you the following patch, the main differences is:

- Use DATADIR macro
- Respect NOPORTDOCS
- Use PORTDOCS

Do you approve this?

--- qbrew.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/misc/qbrew/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	6 Jul 2005 05:37:45 -0000	1.11
+++ Makefile	24 Oct 2005 12:18:53 -0000
@@ -13,12 +13,25 @@
 MAINTAINER=	david@usermode.org
 COMMENT=	A homebrewer's recipe calculator
 
+USE_REINPLACE=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_QT_VER=	3
+PORTDOCS=	*
 QT_NONSTANDARD=	yes
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS=		--x-includes=${X11BASE}/include	\
+			--x-libraries=${X11BASE}/lib
+
+.include <bsd.port.pre.mk>
+
+post-patch:
+.if defined(NOPORTDOCS)
+	@${REINPLACE_CMD} -E 's,^(SUBDIRS = .*) docs,\1,' \
+		${WRKSRC}/Makefile.in
+.endif
 
 post-install:
 	${STRIP_CMD} ${PREFIX}/bin/qbrew
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/misc/qbrew/pkg-plist,v
retrieving revision 1.7
diff -u -r1.7 pkg-plist
--- pkg-plist	6 Jul 2005 05:37:45 -0000	1.7
+++ pkg-plist	24 Oct 2005 12:18:53 -0000
@@ -1,37 +1,11 @@
 bin/qbrew
-share/doc/qbrew/en/primer-design.html
-share/doc/qbrew/en/primer-equipment.html
-share/doc/qbrew/en/primer-firstbrew.html
-share/doc/qbrew/en/primer-glossary.html
-share/doc/qbrew/en/primer-mashing.html
-share/doc/qbrew/en/primer-recipes.html
-share/doc/qbrew/en/primer.html
-share/doc/qbrew/en/qbrew-changes.html
-share/doc/qbrew/en/qbrew-commandline.html
-share/doc/qbrew/en/qbrew-configuration.html
-share/doc/qbrew/en/qbrew-copyright.html
-share/doc/qbrew/en/qbrew-credits.html
-share/doc/qbrew/en/qbrew-faq.html
-share/doc/qbrew/en/qbrew-handbook.html
-share/doc/qbrew/en/qbrew-hop.html
-share/doc/qbrew/en/qbrew-install.html
-share/doc/qbrew/en/qbrew-intro.html
-share/doc/qbrew/en/qbrew-misc.html
-share/doc/qbrew/en/qbrew-notes.html
-share/doc/qbrew/en/qbrew-reference.html
-share/doc/qbrew/en/qbrew-using.html
-share/doc/qbrew/en/qbrew.docbook
-share/doc/qbrew/en/qbrew.xsl
-share/doc/qbrew/en/sqa.html
-share/qbrew/ChangeLog
-share/qbrew/LICENSE
-share/qbrew/README
-share/qbrew/paleale.qbrew
-share/qbrew/qbrew.png
-share/qbrew/qbrew.svg
-share/qbrew/qbrewdata
-share/qbrew/splash.png
-share/qbrew/stout.qbrew
-@dirrm share/qbrew
-@dirrm share/doc/qbrew/en
-@dirrm share/doc/qbrew
+%%DATADIR%%/ChangeLog
+%%DATADIR%%/LICENSE
+%%DATADIR%%/README
+%%DATADIR%%/paleale.qbrew
+%%DATADIR%%/qbrew.png
+%%DATADIR%%/qbrew.svg
+%%DATADIR%%/qbrewdata
+%%DATADIR%%/splash.png
+%%DATADIR%%/stout.qbrew
+@dirrm %%DATADIR%%
--- qbrew.patch ends here ---
Comment 3 Renato Botelho freebsd_committer 2005-10-24 13:20:13 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Renato Botelho freebsd_committer 2005-10-25 10:01:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!